Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1808322 - python-argcomplete fails to build with fish 3.1: test_special_characters_double_quoted (test.test.TestFish) ... unexpected success
Summary: python-argcomplete fails to build with fish 3.1: test_special_characters_doub...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-argcomplete
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39 F33FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-28 09:24 UTC by Miro Hrončok
Modified: 2020-03-03 21:20 UTC (History)
8 users (show)

Fixed In Version: python-argcomplete-1.11.1-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-03 21:20:14 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github kislyuk argcomplete issues 290 0 None closed fish 3.1: test_special_characters_double_quoted (test.test.TestFish) ... unexpected success 2020-06-01 14:08:37 UTC

Description Miro Hrončok 2020-02-28 09:24:22 UTC
python-argcomplete fails to build with Python 3.8.2 or 3.9.0a4+:

test_special_characters_double_quoted (test.test.TestFish) ... unexpected success

See https://koschei.fedoraproject.org/build/7997164

For the 3.9 build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.9/fedora-rawhide-x86_64/01255655-python-argcomplete/

For all our attempts to build python-argcomplete with Python 3.9, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/package/python-argcomplete/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.9:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/

Let us know here if you have any questions.

Python 3.9 will be included in Fedora 33. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.9.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Miro Hrončok 2020-02-28 09:27:36 UTC
Next steps:

1. Try to updating to latest version
2. Try reproducing from upstream git if (1) doesn't help
3. Report to upstream if (2) is reproducible on master,or backport the fixer if available

Comment 2 Miro Hrončok 2020-02-28 10:29:33 UTC
1.11.1:

test_special_characters_double_quoted (test.test.TestFish) ... unexpected success

Comment 3 Miro Hrončok 2020-02-28 10:45:06 UTC
oh, so this is not Python related, but fish: https://github.com/kislyuk/argcomplete/issues/290


Note You need to log in before you can comment on or make changes to this bug.